This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 72859 - Boot diskette made using the Boot Diskette HOW-TO hang on boot.
Boot diskette made using the Boot Diskette HOW-TO hang on boot.
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: mkbootdisk (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-28 11:05 EDT by Need Real Name
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 13:32:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-08-28 11:05:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:0.9.4.1)
Gecko/20020508 Netscape6/6.2.3

Description of problem:
Made custom Boot and Root diskettes from the boot diskette HOW-TO.  Booting from
the boot diskette hangs with a cramfs error when uncompressing the kernel. 
System booted fine with identically configured diskettes made on a 7.2 system.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Create a custom kernel with all hardware drivers required to run the system
configured into it.
2.Follow the instructions in 6.1-6.3 in (use lilo, or the direct method.  Both
produce the same result.) http://www.tldp.org/HOWTO/Bootdisk-HOWTO/x703.html
3.
Try booting the system with the boot diskette.

Actual Results:  You get a cramfs error when the boot process tries
uncompressing the kernel.

Expected Results:  The system should have booted from the boot diskette, then
asked for the  diskette with the root filesystem on it.

Additional info:

I have made boot and root diskettes many, many times on RH 7.2 systems and never
had a problem.  As a matter of fact, I got around this bug by making the
diskettes for this RH 7.3 system on an existing RH 7.2 system.
Comment 1 Jeremy Katz 2003-02-19 01:52:54 EST
Are you sure that the floppy you were using wasn't bad?
Comment 2 Need Real Name 2003-02-19 08:22:14 EST
Absolutely positive.  I must have tried 4 or 5 different diskettes and I went
through the entire process from scratch 3 seperate times.

I originally encountered this on a Compaq Proliant ML 350.  I even had the
floppy drive replaced since it was new and under warranty.  Started from scratch
and still the same problem.  Compaq suggested trying it on a non-Compaq system.
 So I installed 7.3 on a clean, very generic clone, started from scratch and
with the same result.

At that point I stopped blaming the hardware and went back to what I knew
worked.  I formatted the drive on the clone system and installed 7.2.  I started
the diskettes completely from scratch and they worked the first time out.  I
then reconfigured the kernel from 7.2 to match the Compaq's hardware, made
another set of disks and used those on the Compaq without problems.

I hope that answers your question.
Comment 3 Bill Nottingham 2006-08-05 01:48:20 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 4 Bill Nottingham 2006-10-18 13:32:30 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.